UPGRADEPKG(8)

NAVN
upgradepkg - oppgrader en Slackware pakke.

SAMMENDRAG
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] nyttpakkenavn [nyttpakkenavn2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] gammeltpakkenavn%nyttpakkenavn [gammel2%ny2]

BESKRIVELSE
upgradepkg oppgraderer en Slackware pakke fra en eldre versjon til en nyere. Den gjør dette ved å INSTALLERE den nye pakken på systemet, deretter FJERNER den filer fra den gamle pakken som ikke er inkludert i den nye. Hvis den eldre og den nye pakken har samme navn trengs bare det nye pakke navnet. Hvis pakkene har ulikt navn må du oppgi den eldre pakken etterfulgt av et prosent (%) tegn og deretter den nye. Ikke legg til noe mellomrom når du skriver navnene til de eldre/nye pakkene. Hvis upgradepkg finner flere eldre pakker med samme navn vil alle bli fjernet.

For å oppgradere i en annen filkatalog en / (f.eks /mnt):

ROOT=/mnt upgradepkg pakke.tgz (eller .tbz, .tlz, .txz)

VALGMULIGHETER

--dry-run
    Skriver ut en raport om hvilke pakker som vil bli installert eller oppgradert uten å gjennomfører selve oppgraderingen.

--install-new
    Vanligvis vil upgradepkg bare oppgradere pakker som allerede er installert på systemet, pakker som ikke er installert fra før vil ignoreres. Hvis --install-new parametre er satt vil dette endres til å installere nye pakker i tillegg til å oppgradere de eksisterende pakkene.

--reinstall
    Upgradepkg vil vanligvis ignorere en oppgradering som har nøyaktig samme pakkenavn (matchende navn, versjon, arkitektur, og produksjons nummer) som den installerte versjonen. Bruk --reinstall parametre hvis du vil oppgradere alle pakker selv om samme versjon allerede er installert.

--verbose
    Vis alle nitidige detaljer ved oppgraderingsprosessen.

SVAKHETER
Ta et sikkerhetskopi av alle konfigurasjons filer (f.eks de i /etc) som du ønsker å ta vare på før du oppgraderer en pakke. Noen ganger vil disse bli bevart, men det avhenger av hvordan pakken er bygd opp. Hvis du vil tvinge installasjon av de nye konfigurasjons filene kan du fjerne de gamle før du kjører upgradepkg.

PROGRAMMERER
Patrick J. Volkerding <volkerdi@slackware.com>

SE OGSÅ
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)